# PSF-LoginServer - master - net.psforever.objects.TelepadDeployableControl
PSF - LoginServer - master - net.psforever.objects.TelepadDeployableControl
Keywords: PSF LoginServer master net.psforever.objects.TelepadDeployableControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

c

net.psforever.objects

# TelepadDeployableControl

###

#### class TelepadDeployableControl extends Actor with DeployableBehavior with DamageableEntity

Source
  TelepadDeployable.scala

Linear Supertypes
DamageableEntity, Damageable, DeployableBehavior, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TelepadDeployableControl
2. DamageableEntity
3. Damageable
4. DeployableBehavior
5. Actor
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TelepadDeployableControl(tpad: TelepadDeployable)

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageAwareness(target: Target, cause: DamageResult, amount: Any): Unit

   What happens when damage is sustained but the target does not get destroyed.

   What happens when damage is sustained but the target does not get destroyed.

   target

     the entity being damaged

   cause

     historical information about the damage

   amount

     the amount of damage

   Attributes
     protected
   Definition Classes
     DamageableEntity
5.  def DamageLog(target: Target, msg: String): Unit

   Log a damage message with a decorator for this target.

   Log a damage message with a decorator for this target. The decorator is constructed by the `Actor` name of the entity, sliced after the last forward/slash. For example, for "foo/bar/name", the decorator is just "name".

   target

     the entity to be used for the decorator

   msg

     the message for the damage log

   Attributes
     protected
   Definition Classes
     DamageableEntity
   See also

     `PlanetSideServerObject`

6.  def DamageLog(msg: String): Unit

   Log a damage message.

   Log a damage message.

   msg

     the message for the damage log

   Attributes
     protected
   Definition Classes
     DamageableEntity
7.  def DamageableObject: TelepadDeployable

   Contextual access to the object being the target of this damage.

   Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

   returns

     the entity controlled by this actor

   Definition Classes
     TelepadDeployableControl → Damageable
8.  def DeployableObject: TelepadDeployable
   Definition Classes
     TelepadDeployableControl → DeployableBehavior
9.  def DestructionAwareness(target: Target, cause: DamageResult): Unit

   What happens when the target sustains too much damage and is destroyed.

   What happens when the target sustains too much damage and is destroyed.

   target

     the entity being destroyed

   cause

     historical information about the damage

   Attributes
     protected
   Definition Classes
     TelepadDeployableControl → DamageableEntity
   See also

     `Damageable.DestructionAwareness`

10.  def HandleDamage(target: Target, cause: DamageResult, damage: Any): Unit

    Select between mere damage reception or target destruction.

    Select between mere damage reception or target destruction.

    target

      the entity being damaged

    cause

      historical information about the damage

    damage

      the amount of damage

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `VitalDefinition.DamageDestroysAt`

11.  def PerformDamage(target: Target, applyDamageTo: Output): Unit

    Assess the vital statistics of the target, apply the damage, and determine if any of those statistics changed.

    Assess the vital statistics of the target, apply the damage, and determine if any of those statistics changed. By default, only take an interest in the change of "health". If implementing custom `DamageableAmenity` with no new message handling, choose to override this method.

    target

      the entity to be damaged

    applyDamageTo

      the function that applies the damage to the target in a target-tailored fashion

    Attributes
      protected
    Definition Classes
      DamageableEntity → Damageable
    See also

      `DamageableAmenity.TakesDamage`

      `ResolutionCalculations.Output`

      `Vitality.Health`

12.  def WillAffectTarget(target: Target, damage: Int, cause: DamageResult): Boolean

    Does the damage or the projectile that caused the damage offer any reason to execute the reminder of damage resolution considerations? The projectile causing additional affects, e.g., jamming, should be tested here, when applicable.

    Does the damage or the projectile that caused the damage offer any reason to execute the reminder of damage resolution considerations? The projectile causing additional affects, e.g., jamming, should be tested here, when applicable. Contrast with `Vitality.CanDamage`. The damage value tested against should be the total value of all meaningful vital statistics affected.

    target

      the entity to be damaged

    damage

      the amount of damage

    cause

      historical information about the damage

    returns

      `true`, if damage resolution is to be evaluated; `false`, otherwise

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `Damageable.CanDamageOrJammer`

      `PerformDamage`

13.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
14.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
15.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
16.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
17.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
18.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
19.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
20.  implicit val context: ActorContext
    Definition Classes
      Actor
21.  val decay: Cancellable

    the timer for the deconstruction process

    the timer for the deconstruction process

    Definition Classes
      DeployableBehavior
22.  def deconstructDeployable(time: Option[FiniteDuration]): Unit

    The first stage of the deployable dismissal process, to put the formal process in motion.

    The first stage of the deployable dismissal process, to put the formal process in motion.

    time

      an optional duration that overrides the deployable's usual duration

    Definition Classes
      TelepadDeployableControl → DeployableBehavior
23.  val deletionType: Int

    a value that is utilized by the `ObjectDeleteMessage` packet, affecting animation

    a value that is utilized by the `ObjectDeleteMessage` packet, affecting animation

    Definition Classes
      DeployableBehavior
24.  val deployableBehavior: Receive
    Definition Classes
      DeployableBehavior
25.  def deployableBehaviorPostStop(): Unit
    Definition Classes
      DeployableBehavior
26.  def dismissDeployable(): Unit

    The second stage of the deployable build process, to complete the formal process.

    The second stage of the deployable build process, to complete the formal process. Queue up final deployable unregistering, separate from the zone's deployable governance, and instruct all clients in this zone that the deployable is to be deconstructed.

    Definition Classes
      DeployableBehavior
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
29.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
30.  def finalizeDeployable(callback: ActorRef): Unit

    The second stage of the deployable build process, to complete the formal process.

    The second stage of the deployable build process, to complete the formal process. If no owner is assigned, the deployable must immediately begin suffering decay. Nothing dangerous happens if it does not begin to decay, but, because it is not under a player's management, the deployable will not properly transition to a decay state for another reason and can linger in the zone ownerless for as long as it is not destroyed.

    callback

      an `ActorRef` used for confirming the deployable's completion of the process

    Definition Classes
      TelepadDeployableControl → DeployableBehavior
    See also

      `AvatarAction.DeployItem`

      `DeploymentAction`

      `DeployableInfo`

      `LocalAction.DeployableMapIcon`

      `Zone.Deployable.IsBuilt`

31.  def gainOwnership(player: Player, toFaction: types.PlanetSideEmpire.Value): Unit

    na

    na

    player

      the player being given ownership of this deployable

    toFaction

      the faction to which the deployable is being assigned; usually matches the `player`'s own faction

    Definition Classes
      DeployableBehavior
32.  def gainOwnership(player: Player): Unit

    na

    na

    player

      the player being given ownership of this deployable

    Definition Classes
      DeployableBehavior
    See also

      `gainOwnership(Player, PlanetSideEmpire.Value)`

33.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  def isConstructed: Option[Boolean]
    Definition Classes
      DeployableBehavior
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  def loseOwnership(toFaction: types.PlanetSideEmpire.Value): Unit

    Losing ownership involves updating map screen UI, to remove management rights from the now-previous owner, and may involve concealing the deployable from the map screen for the entirety of the previous owner's faction.

    Losing ownership involves updating map screen UI, to remove management rights from the now-previous owner, and may involve concealing the deployable from the map screen for the entirety of the previous owner's faction. Displaying the deployable on the map screen of another faction may be required.

    toFaction

      the faction to which to set the deployable to be visualized on the map and in the game world; may also affect deployable operation

    Definition Classes
      DeployableBehavior
38.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
39.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  final val originalTakesDamage: akka.actor.Actor.Receive

    a duplicate of the core implementation for the default mixin hook, for use in overriding

    a duplicate of the core implementation for the default mixin hook, for use in overriding

    Definition Classes
      Damageable
42.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
43.  def postStop(): Unit
    Definition Classes
      TelepadDeployableControl → Actor
44.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
45.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
46.  def receive: Receive
    Definition Classes
      TelepadDeployableControl → Actor
47.  implicit final val self: ActorRef
    Definition Classes
      Actor
48.  final def sender(): ActorRef
    Definition Classes
      Actor
49.  val setup: Cancellable

    the timer for the construction process

    the timer for the construction process

    Definition Classes
      DeployableBehavior
50.  def setupDeployable(callback: ActorRef): Unit

    The first stage of the deployable build process, to put the formal process in motion.

    The first stage of the deployable build process, to put the formal process in motion. Deployables, upon construction, may display an animation effect. Parameters are required to be passed onto the next stage of the build process and are not used here.

    callback

      an `ActorRef` used for confirming the deployable's completion of the process

    Definition Classes
      DeployableBehavior
    See also

      `DeployableDefinition.deployAnimation`

      `DeployableDefinition.DeployTime`

      `LocalAction.TriggerEffectLocation`

51.  def startOwnerlessDecay(): Unit
    Definition Classes
      TelepadDeployableControl → DeployableBehavior
52.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
53.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
54.  val takesDamage: akka.actor.Actor.Receive

    the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

    the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

    Definition Classes
      Damageable
55.  def toString(): String
    Definition Classes
      AnyRef → Any
56.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
57.  def unregisterDeployable(obj: Deployable): Unit

    The task for unregistering this deployable.

    The task for unregistering this deployable. Most deployables are monolithic entities, requiring only a single unique identifier.

    obj

      the deployable

    Definition Classes
      DeployableBehavior
58.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
59.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
60.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from DamageableEntity

### Inherited from Damageable

### Inherited from DeployableBehavior

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped